Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoInvalidateQuadOp< EOT > Class Template Reference

One of the invalidator operators. More...

`#include <eoInvalidateOps.h>`

Inheritance diagram for eoInvalidateQuadOp< EOT >:

List of all members.

## Public Member Functions
| eoInvalidateQuadOp (eoQuadOp< EOT > &_op)
bool | operator() (EOT &_eo1, EOT &_eo2)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoQuadOp< EOT > & | op

## Detailed Description

### template<class EOT>
class eoInvalidateQuadOp< EOT >

One of the invalidator operators.

Use this one as a 'hat' on an operator that is defined to work on a generic datatype. This functor will then check the return type of the operator and invalidate the fitness of the individual.

This functor is used in algorithms that work with straight eoMonOp, eoBinOp or eoQuadOp operators, for instance eoSGA. Note that eoGenOp derived operators generally do invalidate the fitness of the objects they have changed.

Return value means "Has_Changed" and not "Needs_To_Be_Invalidated" as successive invalidation are not really a problem

Definition at line 114 of file eoInvalidateOps.h.

The documentation for this class was generated from the following file:

- eoInvalidateOps.h